Which flavors of Postgres do you support?

As long as it’s a supported version of Postgres and we can connect to it (public ip, ssh tunnel, etc), we can use it. Both “on premise” or cloud versions should work fine.